Commit 3f9bef06 authored by Ryan Fisher's avatar Ryan Fisher
Browse files

Updates to python packaging.

parent e6f2239f
lscsoft-glue (1.55.2-1) unstable; urgency=low
* Added install_requires to python installation.
-- Ryan Fisher <ryan.fisher@ligo.org> Fri, 7 Apr 2017 18:14:00 -0500
lscsoft-glue (1.55.1-1) unstable; urgency=low
* Fixes for Debian packaging.
......
......@@ -8,7 +8,7 @@
Name: glue
Summary: The Grid LSC User Environment
Version: 1.55.1
Version: 1.55.2
Release: 1%{?dist}
License: None
Group: Development/Libraries
......@@ -48,7 +48,7 @@ rm -rf %{buildroot}
--skip-build \
--root=%{buildroot} \
--prefix=%{_glue_prefix}
rm -rf $RPM_BUILD_ROOT/usr/lib64/python2.?/site-packages/glue-1.55.1-py2.?.egg-info
rm -rf $RPM_BUILD_ROOT/usr/lib64/python2.?/site-packages/glue-1.55.2-py2.?.egg-info
%clean
rm -rf $RPM_BUILD_ROOT
......@@ -93,6 +93,12 @@ rm -rf $RPM_BUILD_ROOT
%{glue_python_sitearch}/glue/git_version.pyc
%changelog
* Fri Apr 7 2017 Ryan Fisher <ryan.fisher@ligo.org>
- Added install_requires for pip installations.
* Thu Apr 6 2017 Ryan Fisher <ryan.fisher@ligo.org>
- Cleaned up RPM and debian codes.
* Thu Apr 6 2017 Duncan Brown <duncan.brown@ligo.org>
- O2 mid-run updated release. Change sdist name for PyPi compatibility.
......
......@@ -39,7 +39,7 @@ from distutils import log
from misc import generate_vcs_info as gvcsi
ver = "1.55.1"
ver = "1.55.2"
def remove_root(path,root):
if root:
......@@ -227,6 +227,7 @@ setup(
url = "http://www.lsc-group.phys.uwm.edu/daswg/",
license = 'See file LICENSE',
packages = [ 'glue', 'glue.ligolw', 'glue.ligolw.utils', 'glue.segmentdb', 'glue.nmi', 'glue.auth'],
install_requires=['six','M2Crypto','numpy'],
cmdclass = {
'build_py' : glue_build_py,
'install' : glue_install,
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment